<?php
namespace nulib\schema\_list;

use nulib\schema\Result;
use nulib\schema\Wrapper;

abstract/*XXX*/ class ListWrapper extends Wrapper {
  function ensureKeys(): bool {
  }

  function orderKeys(): bool {
  }

  /** @param Result[] $results */
  function verifix(bool $throw=true, ?array &$results=null): bool {
  }
}
